diff -ru u-boot-armada-2011.12_orig/board/mv_ebu/common/mv_hal/sata/CoreDriver/mvLog.h u-boot-armada-2011.12/board/mv_ebu/common/mv_hal/sata/CoreDriver/mvLog.h
--- u-boot-armada-2011.12_orig/board/mv_ebu/common/mv_hal/sata/CoreDriver/mvLog.h	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/board/mv_ebu/common/mv_hal/sata/CoreDriver/mvLog.h	2022-12-07 22:18:26.261680301 +0100
@@ -99,6 +99,8 @@
 	char *filters;
 } MV_LOG_FILTER_HEADER;
 
+#define MV_LOG_DEBUG
+
 #if defined(MV_LOG_DEBUG) || defined(MV_LOG_ERROR)
 #define MV_LOGGER       1
 #if defined(WIN32)
diff -ru u-boot-armada-2011.12_orig/board/mv_ebu/common/uboot_oss/mvOs.h u-boot-armada-2011.12/board/mv_ebu/common/uboot_oss/mvOs.h
--- u-boot-armada-2011.12_orig/board/mv_ebu/common/uboot_oss/mvOs.h	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/board/mv_ebu/common/uboot_oss/mvOs.h	2022-12-07 22:44:26.817540781 +0100
@@ -168,8 +168,8 @@
 * The function could not be operate when booting from flash.
 * In order to print the array we use the printreg command.
 ******************************************************************************/
-/*#define REG_DEBUG*/
-#define REG_ARRAY_SIZE 4096
+#define REG_DEBUG
+#define REG_ARRAY_SIZE 512
 #if defined(REG_DEBUG)
 extern int reg_arry[REG_ARRAY_SIZE][2];
 extern int reg_arry_index;
@@ -186,23 +186,17 @@
 
 #define MV_REG_READ(offset)             \
         (MV_MEMIO_LE32_READ(INTER_REGS_BASE | (offset)))
-#if defined(REG_DEBUG)
-#define MV_REG_WRITE(offset, val)    \
+#define MV_REG_WRITE_LOG(offset, val)    \
 	(MV_MEMIO_LE32_WRITE((INTER_REGS_BASE | (offset)), (val))+ \
 	reglog((INTER_REGS_BASE | (offset)), (val)))
-#else
 #define MV_REG_WRITE(offset, val)     \
         MV_MEMIO_LE32_WRITE((INTER_REGS_BASE | (offset)), (val))
-#endif
 
-#if defined(REG_DEBUG)
-#define MV_REG_WORD_WRITE(offset, val)  \
+#define MV_REG_WORD_WRITE_LOG(offset, val)  \
 (	MV_MEMIO_LE16_WRITE((INTER_REGS_BASE | (offset)), (val))+ \
 	reglog( (INTER_REGS_BASE | (offset) ), (val) )) 
-#else
 #define MV_REG_WORD_WRITE(offset, val)  \
         MV_MEMIO_LE16_WRITE((INTER_REGS_BASE | (offset)), (val))
-#endif
 
 #define MV_REG_WORD_READ(offset)        \
         (MV_MEMIO16_READ((INTER_REGS_BASE | (offset))))
@@ -210,40 +204,31 @@
 #define MV_REG_BYTE_READ(offset)        \
         (MV_MEMIO8_READ((INTER_REGS_BASE | (offset))))
 
-#if defined(REG_DEBUG)
-#define MV_REG_BYTE_WRITE(offset, val)  \
+#define MV_REG_BYTE_WRITE_LOG(offset, val)  \
 	MV_MEMIO8_WRITE((INTER_REGS_BASE | (offset)), (val))+ \
 	reglog((INTER_REGS_BASE | (offset)), (val))
-#else
 #define MV_REG_BYTE_WRITE(offset, val)  \
         MV_MEMIO8_WRITE((INTER_REGS_BASE | (offset)), (val))
-#endif
 
-#if defined(REG_DEBUG)
-#define MV_REG_BIT_SET(offset, bitMask)                 \
+#define MV_REG_BIT_SET_LOG(offset, bitMask)                 \
 	(MV_MEMIO32_WRITE((INTER_REGS_BASE | (offset)), \
         (MV_MEMIO32_READ(INTER_REGS_BASE | (offset)) | \
           MV_32BIT_LE_FAST(bitMask))))+\
 	reglog((INTER_REGS_BASE | (offset)), (MV_MEMIO32_READ(INTER_REGS_BASE | (offset))))
-#else
 #define MV_REG_BIT_SET(offset, bitMask)                 \
         (MV_MEMIO32_WRITE((INTER_REGS_BASE | (offset)), \
          (MV_MEMIO32_READ(INTER_REGS_BASE | (offset)) | \
           MV_32BIT_LE_FAST(bitMask))))
-#endif
 
-#if defined(REG_DEBUG)
-#define MV_REG_BIT_RESET(offset,bitMask)                \
+#define MV_REG_BIT_RESET_LOG(offset,bitMask)                \
         (MV_MEMIO32_WRITE((INTER_REGS_BASE | (offset)), \
          (MV_MEMIO32_READ(INTER_REGS_BASE | (offset)) & \
           MV_32BIT_LE_FAST(~bitMask)))+ \
 	reglog((INTER_REGS_BASE | (offset)), (MV_MEMIO32_READ(INTER_REGS_BASE | (offset)))))
-#else
 #define MV_REG_BIT_RESET(offset,bitMask)                \
         (MV_MEMIO32_WRITE((INTER_REGS_BASE | (offset)), \
          (MV_MEMIO32_READ(INTER_REGS_BASE | (offset)) & \
           MV_32BIT_LE_FAST(~bitMask))))
-#endif
 
 
 /* Flash APIs */
diff -ru u-boot-armada-2011.12_orig/board/mv_ebu/common/uboot_oss/mvOsSata.h u-boot-armada-2011.12/board/mv_ebu/common/uboot_oss/mvOsSata.h
--- u-boot-armada-2011.12_orig/board/mv_ebu/common/uboot_oss/mvOsSata.h	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/board/mv_ebu/common/uboot_oss/mvOsSata.h	2022-12-07 22:41:51.464389233 +0100
@@ -155,7 +155,6 @@
 #define MV_REG_READ_WORD(base, offset)  	mvSwapShort(MV_READSHORT(base + offset))
 #define MV_REG_READ_DWORD(base, offset) 	mvSwapWord(MV_READWORD(base + offset))
 
-
 /* System dependant typedefs */
 typedef void            	   *MV_VOID_PTR;
 typedef unsigned long              *MV_U32_PTR;
diff -ru u-boot-armada-2011.12_orig/board/mv_ebu/common/USP/mv_cmd.c u-boot-armada-2011.12/board/mv_ebu/common/USP/mv_cmd.c
--- u-boot-armada-2011.12_orig/board/mv_ebu/common/USP/mv_cmd.c	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/board/mv_ebu/common/USP/mv_cmd.c	2022-12-07 22:08:54.125255526 +0100
@@ -277,7 +277,7 @@
 *
 *****************************************************************************/
 #if defined(REG_DEBUG)
-int reg_arry[4096][2];
+int reg_arry[512][2];
 int reg_arry_index = 0;
 int print_registers( cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
 {
diff -ru u-boot-armada-2011.12_orig/board/mv_ebu/common/USP/mv_ide.c u-boot-armada-2011.12/board/mv_ebu/common/USP/mv_ide.c
--- u-boot-armada-2011.12_orig/board/mv_ebu/common/USP/mv_ide.c	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/board/mv_ebu/common/USP/mv_ide.c	2022-12-07 22:22:24.339480550 +0100
@@ -68,7 +68,7 @@
 };
 #endif
 
-#undef	IDE_DEBUG
+#define	IDE_DEBUG
 
 #ifdef	IDE_DEBUG
 #define	DP(fmt,args...)	printf (fmt ,##args)
diff -ru u-boot-armada-2011.12_orig/board/mv_ebu/common/USP/mv_phy.c u-boot-armada-2011.12/board/mv_ebu/common/USP/mv_phy.c
--- u-boot-armada-2011.12_orig/board/mv_ebu/common/USP/mv_phy.c	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/board/mv_ebu/common/USP/mv_phy.c	2022-12-07 22:14:00.411643131 +0100
@@ -92,10 +92,10 @@
 		/* Init Only Phy 0 */
 		/* writing the PHY address before PHY init */
 		unsigned int regData;
-		regData = MV_REG_READ(ETH_PHY_ADDR_REG(0));
+		regData = MV_REG_READ_LOG(ETH_PHY_ADDR_REG(0));
 		regData &= ~ETH_PHY_ADDR_MASK;
 		regData |= mvBoardPhyAddrGet(0);
-		MV_REG_WRITE(ETH_PHY_ADDR_REG(0), regData);
+		MV_REG_WRITE_LOG(ETH_PHY_ADDR_REG(0), regData);
 		mvEthPhyInit(0, MV_FALSE);
 	} else
 #endif
diff -ru u-boot-armada-2011.12_orig/tools/marvell/bin_hdr/src_phy_a370/mvHighSpeedEnvLib.c u-boot-armada-2011.12/tools/marvell/bin_hdr/src_phy_a370/mvHighSpeedEnvLib.c
--- u-boot-armada-2011.12_orig/tools/marvell/bin_hdr/src_phy_a370/mvHighSpeedEnvLib.c	2020-03-06 10:28:02.000000000 +0100
+++ u-boot-armada-2011.12/tools/marvell/bin_hdr/src_phy_a370/mvHighSpeedEnvLib.c	2022-12-07 19:52:12.522721643 +0100
@@ -565,7 +565,8 @@
 	MV_REG_WRITE(SOC_CTRL_REG, tmp);
 	DEBUG_WR_REG(SOC_CTRL_REG, tmp);
 
-	/* 6.2 PCI Express Link Capabilities*/
+	/* 6.2 PCI Express Link Capabilities
+*/
 	/*----------------------------------------------*/
 	DEBUG_INIT_FULL_S("Step 6.2: [PEX-Only] PCI Express Link Capabilities\n");
 
